<?php
namespace Ak\Validator;

use Laminas\ServiceManager\Factory\InvokableFactory;
use Laminas\Validator\ValidatorChain;

return [
    'validators' => [
        'aliases' => [
            'validatorchain'  => ValidatorChain::class,
            'validator_chain' => ValidatorChain::class,
            'validatorChain'  => ValidatorChain::class,
            'ValidatorChain'  => ValidatorChain::class,

            \Laminas\Validator\NotEmpty::class => NotEmpty::class,
        ],

        'factories' => [
            NotEmpty::class       => InvokableFactory::class,
            ValidatorChain::class => ValidatorChainFactory::class,
        ],
    ],
];
